﻿@using ARGNS.WebSite.Resources.Views.DataTables;
@model Tuple<List<ARGNSModelView>, PDMSAPCombo>
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PDM.ProductList </h3>
    </div>
    <div class="panel-body">
		<div class="table-responsive">
				<table id="assets-data-table" class="table table-striped table-hover display">
					<script type="text/javascript">
					var assetListVM;
					$(function () {
						assetListVM = {
							dt: null,
							init: function () {
								dt = $('#assets-data-table').DataTable({
                         "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
									"autoWidth": true,
									"serverSide": true,
									"processing": true,
									"data": null,
									"dom": 'Blfrtip',
									"buttons": ['excel', 'pdf', 'print'],
									"searching": false,
									"ajax": {
										"url": "/PLM/Design/ListDesign",
										"type": "POST",
										"data": function (data) {
											data.CodeModel = $("#txtCodeModel").val();
											data.NameModel = $("#txtNameModel").val();
											data.SeasonModel = $("#txtSeasonModel").val();
											data.GroupModel = $("#txtGroupModel").val();
											data.BrandModel = $("#txtBrand").val();
											data.CollectioModel = $("#txtCollection").val();
											data.SubCollectionModel = $("#txtSubCollection").val();
										}
									},
									"columns": [
										{ "title": "@PDM.ModelCode", "data": "U_ModCode", "name": "U_ModCode" },
										{ "title": "@PDM.Desc", "data": "U_ModDesc", "name": "U_ModDesc" },
										{ "title": "@PDM.Season", "data": "U_Season", "name": "U_Season" },
										{ "title": "@PDM.PG", "data": "U_ModGrp", "name": "U_ModGrp" },
										{ "title": "@PDM.Brand", "data": "U_Brand", "name": "U_Brand" },
										{ "title": "@PDM.Coll", "data": "U_CollCode", "name": "U_CollCode" },
										{ "title": "@PDM.SubColl", "data": "U_AmbCode", "name": "U_AmbCode" },
										{
										"title": "", "data": null, "width": "110px", "orderable": false, "name": "",
										"render": function (data, type, full, meta) {
											if (@_Update.ToString().ToLower() == true)
											{
												var mReturnValue = "";

												mReturnValue += "<a href=\"/PLM/Design/ActionDesign?ActionDesign=UpdateDesign&ModelCode=" + data.Code + "&pU_ModCode=" + data.U_ModelCode + "&From=DesignList\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-circle-arrow-right\"></span>&nbsp;@PDM.Edit</a>";
											}
											return mReturnValue;
										}
									}

									],
									"lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
									language: {
										processing: "@DataTables.Processing",
										lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
										info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
										paginate: {
											previous: "@DataTables.Previous",
											next: "@DataTables.Next"
										}
									},
								});
							},
							refresh: function () {
								dt.ajax.reload();
							}
						}
					});
					</script>

					@*<table class="table table-striped">
						<thead>
							<tr>
								<th>@PDM.Code</th>
								<th>@PDM.Desc</th>
								<th>@PDM.Season</th>
								<th>@PDM.PG</th>
								<th>@PDM.Brand</th>
								<th>@PDM.Coll</th>
								<th>@PDM.SubColl</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							@foreach (ARGNSModelView item in Model.Item1)
							{
								ARGNS.Model.Implementations.PDM.ComboList.ARGNSSeason seasonAux = Model.Item2.ListSeason.Where(c => c.Code == item.U_Season).FirstOrDefault();
								ARGNS.Model.Implementations.PDM.ComboList.ARGNSModelGroup modelGroupAux = Model.Item2.ListModelGroup.Where(c => c.Code == item.U_ModGrp).FirstOrDefault();
								ARGNS.Model.Implementations.PDM.ComboList.ARGNSBrand brandAux = Model.Item2.ListBrand.Where(c => c.Code == item.U_Brand).FirstOrDefault();
								ARGNSCollection collectionAux = Model.Item2.ListCollection.Where(c => c.U_CollCode == item.U_CollCode).FirstOrDefault();
								ARGNSSubCollection subCollectionAux = Model.Item2.ListSubCollection.Where(c => c.U_AmbCode == item.U_AmbCode).FirstOrDefault();

								<tr>
									<td>
										@item.U_ModCode
									</td>
									<td>@item.U_ModDesc</td>
									<td>@((item.U_Season != null && item.U_Season != "") ? (seasonAux != null ? seasonAux.Name : "") : "")</td>
									<td>@((item.U_ModGrp != null && item.U_ModGrp != "") ? (modelGroupAux != null ? modelGroupAux.Name : "") : "")</td>
									<td>@((item.U_Brand != null && item.U_Brand != "") ? (brandAux != null ? brandAux.Name : "") : "")</td>
									<td>@((item.U_CollCode != null && item.U_CollCode != "") ? (collectionAux != null ? collectionAux.U_Desc : "") : "")</td>
									<td>@((item.U_AmbCode != null && item.U_AmbCode != "") ? (subCollectionAux != null ? subCollectionAux.U_Desc : "") : "")</td>
									<td>
										@if (_Update)
										{
											<a href='@Url.Action("ActionDesign", "Design", new { @ActionDesign = "UpdateDesign", @ModelCode = item.Code, @From = "DesignList" })' class="btn btn-primary btn-xs">
												<span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
											</a>
										}
									</td>
								</tr>
							}
						</tbody>
					</table>*@
			</div>
		</div>

</div>

@if (_Add)
{
    <div class="col-md-2 pull-right">
        <a href='@Url.Action("ActionDesign", "Design", new { @ActionDesign = "AddDesign", @ModelCode = 0, @From = "DesignList" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@PDM.ND
        </a>
    </div>
}

